package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 接待人员信息对象 reception_personnel
 * 
 * @author ruoyi
 * @date 2023-11-02
 */
public class ReceptionPersonnel extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 用户ID */
    private Long receptionId;

    /** 接待人员姓名 */
    @Excel(name = "接待人员姓名")
    private String receptionName;

    /** 手机号码 */
    @Excel(name = "手机号码")
    private String phonenumber;

    /** 接待人员简介 */
    @Excel(name = "接待人员简介")
    private String introduction;

    /** 头像地址 */
    @Excel(name = "头像地址")
    private String avatar;

    /** 状态（0正常 1停用） */
    @Excel(name = "状态", readConverterExp = "0=正常,1=停用")
    private String status;

    public void setReceptionId(Long receptionId) 
    {
        this.receptionId = receptionId;
    }

    public Long getReceptionId() 
    {
        return receptionId;
    }
    public void setReceptionName(String receptionName) 
    {
        this.receptionName = receptionName;
    }

    public String getReceptionName() 
    {
        return receptionName;
    }
    public void setPhonenumber(String phonenumber) 
    {
        this.phonenumber = phonenumber;
    }

    public String getPhonenumber() 
    {
        return phonenumber;
    }
    public void setIntroduction(String introduction) 
    {
        this.introduction = introduction;
    }

    public String getIntroduction() 
    {
        return introduction;
    }
    public void setAvatar(String avatar) 
    {
        this.avatar = avatar;
    }

    public String getAvatar() 
    {
        return avatar;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("receptionId", getReceptionId())
            .append("receptionName", getReceptionName())
            .append("phonenumber", getPhonenumber())
            .append("introduction", getIntroduction())
            .append("avatar", getAvatar())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
